rtest.between {ade4} | R Documentation

## Monte-Carlo Test on the between-groups inertia percentage (in R).

### Description

Performs a Monte-Carlo test on the between-groups inertia percentage.

### Usage

    ## S3 method for class 'between'
    rtest(xtest, nrepet = 99, ...)

### Arguments

`xtest` | an object of class `between`
`nrepet` | the number of permutations
`...` | further arguments passed to or from other methods

### Value

a list of the class `rtest`

### Author(s)

Daniel Chessel

### References

Romesburg, H. C. (1985) Exploring, confirming and randomization tests. Computers and Geosciences, 11, 19–37.

### Examples

    data(meaudret)
    pca1 <- dudi.pca(meaudret$env, scan = FALSE, nf = 3)
    rand1 <- rtest(bca(pca1, meaudret$design$season, scan = FALSE), 99)
    rand1
    plot(rand1, main = "Monte-Carlo test")

[Package ade4 version 1.7-13 Index]